apiVersion: v1
kind: ConfigMap
metadata:
  name: gitea-runner-config
  namespace: geocrop
data:
  config.yaml: |
    log:
      level: info
    runner:
      file: .runner
      capacity: 2
      timeout: 3h
      fetch_timeout: 5s
      fetch_interval: 2s
      labels:
        - "ubuntu-latest:docker://docker.gitea.com/runner-images:ubuntu-latest"
        - "ubuntu-24.04:docker://docker.gitea.com/runner-images:ubuntu-24.04"
        - "ubuntu-22.04:docker://docker.gitea.com/runner-images:ubuntu-22.04"
      envs:
        DOCKER_HOST: "tcp://localhost:2376"
        DOCKER_CERT_PATH: "/certs/client"
        DOCKER_TLS_VERIFY: "1"
    cache:
      enabled: true
      dir: ""
      host: ""
      port: 0
    container:
      backend: kubernetes
      kubernetes:
        namespace: geocrop
        service_account_name: gitea-runner-sa
        privileged: false
        pull_policy: IfNotPresent
      force_pull: true
    valid_volumes:
      - "/certs/client"
